import { EnvSchemaValue } from './types';
export declare enum EnvErrorType {
    MISSING = 0,
    WRONG_TYPE = 1
}
export declare type EnvErrorReport = {
    [key: string]: {
        type: EnvErrorType;
        schemaValue: EnvSchemaValue;
        value?: string;
    };
};
export declare class EnvError extends Error {
    readonly report?: EnvErrorReport | undefined;
    name: string;
    code: string;
    constructor(report?: EnvErrorReport | undefined);
    toString(): string;
}
