"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function coerce(schema, env) {
    const coerced = {};
    for (const [key, schemaValue] of Object.entries(schema)) {
        const value = env[key];
        if (schemaValue === Boolean) {
            coerced[key] = value === 'true';
        }
        else if (schemaValue === Number) {
            coerced[key] = parseInt(value, 10);
        }
        else {
            coerced[key] = value;
        }
    }
    return coerced;
}
exports.coerce = coerce;
//# sourceMappingURL=coerce.js.map